Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.model
Class MiningMartMultiColumnFeature

    java.lang.Object
      org.musoft.limo.model.ModelElement
          org.musoft.limo.model.ModelFigureElement
              edu.udo.cs.miningmart.gui.model.MiningMartModelFigureElement
                  edu.udo.cs.miningmart.gui.model.MiningMartMultiColumnFeature

    public class MiningMartMultiColumnFeature

extends MiningMartModelFigureElement

A wrapper for the `MultiColumnFeature`.

Version:
  $Id: MiningMartMultiColumnFeature.java,v 1.5 2006/09/27 15:00:00 euler Exp $
Author:
  Daniel Hakenjos

Field Summary

Fields inherited from class edu.udo.cs.miningmart.gui.model.MiningMartModelFigureElement
`mayChangeDocumentation`

Constructor Summary
`MiningMartMultiColumnFeature(MiningMartApplication app, MultiColumnFeature mcfeature, org.musoft.limo.model.ModelFigureElement parent, java.awt.Point position, java.awt.Rectangle bounds)` Creates a new `MiningMartMultiColumnFeature` with the given parameters.

Method Summary
`boolean` | `canDeleteInDatabase()` Gets the flag indicating that this obkect can be deleted in the database.
`boolean` | `canDestroy()`
`boolean` | `canSetParent(org.musoft.limo.model.ModelFigureElement parent)`
`void` | `destroy()` Destroys the `MiningMartConcept` and deletes the underlying `Concept`.
`MiningMartApplication` | `getMMartApplication()` Gets the `MiningMartApplication`.
`MultiColumnFeature` | `getMultiColumnFeature()` Gets the `MultiColumnFeature`.
`java.lang.String` | `getName()` Gets the name of the `MiningMartMultiColumnFeature`.
`java.lang.String` | `getType()`
`void` | `primitiveAttributeChanged(org.musoft.limo.model.ModelPrimitiveAttribute mpa)` If the description of this `MiningMartMultiColumnFeature` changed then set the documentation of the underlying `MultiColumnFeature`.
`void` | `setBounds(java.awt.Rectangle bounds)` Sets the bounds of the `MiningMartMultiColumnFeature`.
`void` | `setDeleteInDatabase(boolean bool)` Sets the flag that this object could be deleted in the database.
`void` | `setName(java.lang.String name)` Sets the name of the `MiningMartMultiColumnFeature`.
`void` | `setPosition(java.awt.Point p)` Sets the position of this `MiningMartConcept`.

Methods inherited from class org.musoft.limo.model.ModelFigureElement
`addChild, canAddChild, canRemoveChild, canSetBounds, canSetName, canSetPosition, clear, fireAddChild, fireCreateChild, fireCreateConnection, fireRemoveChild, fireSetParent, getBounds, getCenter, getChild, getChild, getChildCount, getChildOrConnection, getChildren, getChildren, getChildren, getCorner, getElement, getFullName, getMaximumBounds, getMinimumBounds, getModel, getNeededBounds, getParent, getPosition, getValidChildName, indexOfChild, indexOfChild, isChildOf, layout, removeChild, setBounds, setCenter, setIndex, setParent, setPosition`

Methods inherited from class org.musoft.limo.model.ModelElement
`addAttribute, addAttributeNew, addListener, associationEndChanged, changed, dump, fireDestroy, fireSetName, getAttribute, getAttribute, getAttributeCount, getListener, getListenerCount, getRootModel, indexOfAttribute, removeListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MiningMartMultiColumnFeature

    public MiningMartMultiColumnFeature(MiningMartApplication app,
                                        MultiColumnFeature mcfeature,
                                        org.musoft.limo.model.ModelFigureElement parent,
                                        java.awt.Point position,
                                        java.awt.Rectangle bounds)

  Creates a new `MiningMartMultiColumnFeature` with the given parameters.

Method Detail

### getMMartApplication

    public MiningMartApplication getMMartApplication()

  Gets the `MiningMartApplication`.

### canSetParent

    public boolean canSetParent(org.musoft.limo.model.ModelFigureElement parent)

  Overrides:
    `canSetParent` in class `org.musoft.limo.model.ModelFigureElement`

### getType

    public java.lang.String getType()

  Overrides:
    `getType` in class `org.musoft.limo.model.ModelElement`

### getName

    public java.lang.String getName()

  Gets the name of the `MiningMartMultiColumnFeature`.

  Overrides:
    `getName` in class `org.musoft.limo.model.ModelElement`
  Returns:
    returns the name of the `MultiColumnFeature`
  See Also:
    `M4Object.getName()`

### setName

    public void setName(java.lang.String name)

  Sets the name of the `MiningMartMultiColumnFeature`. It means it sets the name of the `MultiColumnFeature`.

  Overrides:
    `setName` in class `org.musoft.limo.model.ModelElement`
  See Also:
    `M4Object.setName(String)`

### getMultiColumnFeature

    public MultiColumnFeature getMultiColumnFeature()

  Gets the `MultiColumnFeature`.

### primitiveAttributeChanged

    public void primitiveAttributeChanged(org.musoft.limo.model.ModelPrimitiveAttribute mpa)

  If the description of this `MiningMartMultiColumnFeature` changed then set the documentation of the underlying `MultiColumnFeature`.

  Overrides:
    `primitiveAttributeChanged` in class `MiningMartModelFigureElement`
  See Also:
    `ModelElement.primitiveAttributeChanged(ModelPrimitiveAttribute)`

### setBounds

    public void setBounds(java.awt.Rectangle bounds)

  Sets the bounds of the `MiningMartMultiColumnFeature`. The location of the underlying `MultiColumnFeature` is set to the location of the bounds.

  Overrides:
    `setBounds` in class `org.musoft.limo.model.ModelFigureElement`
  See Also:
    `ModelFigureElement.setBounds(Rectangle)`

### setPosition

    public void setPosition(java.awt.Point p)

  Sets the position of this `MiningMartConcept`. The position of the underlying `Concept` also changes.

  Overrides:
    `setPosition` in class `org.musoft.limo.model.ModelFigureElement`

### canDestroy

    public boolean canDestroy()

  Overrides:
    `canDestroy` in class `org.musoft.limo.model.ModelElement`

### destroy

    public void destroy()

  Destroys the `MiningMartConcept` and deletes the underlying `Concept`.

  Overrides:
    `destroy` in class `org.musoft.limo.model.ModelFigureElement`
  See Also:
    `ModelElement.destroy()`

### setDeleteInDatabase

    public void setDeleteInDatabase(boolean bool)

  Sets the flag that this object could be deleted in the database.

### canDeleteInDatabase

    public boolean canDeleteInDatabase()

  Gets the flag indicating that this obkect can be deleted in the database.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005